WVTAG(1)

NAME
wvtag - manipulate wavpack metadata

SYNOPSIS
wvtag [-options] file ...

DESCRIPTION
wvtag applies the specified metadata operations to each of the specified WavPack source files in this order: clean, import, delete, write, extract, list. Note that WavPack metadata is stored in APEv2 tags, and wvtag will automatically import from an ID3v1 tag if it is the only tag present in the source file, and that ID3v1 tag will be deleted and replaced with an APEv2 tag if an edit is requested.

  OPTIONS

--allow-huge-tags
    allow tag data up to 16 MB. Embedding > 1 MB is not recommended for portable devices and may not work with some programs, including older versions of WavPack.

-c  extract cuesheet only to stdout (equivalent to -x “cuesheet”)

-cc extract cuesheet to source-name.cue file in same directory as source file (equivalent to -xx “cuesheet=%a.cue”)

--clean, --clear
    clean all items from tag (done first)

-d “Field”
    delete specified metadata item (text or binary)

-h, --help
    display this help

--import-id3
    import applicable tag items from ID3v2.3 tag present in DSF and possibly other files into the APEv2 tag. If there are > 1 MB cover images present, add --allow-huge-tags to include them.

-l, --list
    list all tag items (done last)

--no-utf8-convert
    don't recode passed tags from local encoding to UTF-8, assume they are in UTF-8 already

-q  Be quiet: keep console output to a minimum.

-v, --version
    Write program version to stdout

-w “Field=”
    delete specified metadata item (text or binary)

-w “Field=Value”
    write specified text metadata to APEv2 tag

-w “Field=@file.ext”
    write specified text metadata from file to APEv2 tag, normally used for embedded cuesheets and logs (field names “Cuesheet” and “Log”)

--write-binary-tag “Field=@file.ext”
    write the specified binary metadata file to APEv2 tag, normally used for cover art with the specified field name “Cover Art (Front)”

-x “Field”
    extract the specified tag field only to stdout

-xx “Field[=filename]”
    extract the specified tag field into a named file in same directory as source file. An optional filename specification may contain ‘%a’ which gets replaced with the audio file base name; ‘%t’ which gets replaced with the tag field name (note that for binary tags, this comes from the data); and ‘%e’ which gets replaced with the extension of the binary tag source file (or “txt” for a text tag).

-y  yes to all warnings; use with caution!

SEE ALSO
wavpack(1), wvgain(1), wvunpack(1), www.wavpack.com

AUTHORS
David Bryant <david@wavpack.com> Jan Starý <hans@stare.cz>